<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class AddSalComputeOnEmpPayInfo extends Migration
{
    public function up()
    {
        $fields = [
            'basic_sal_computation' => [
                'type' => 'VARCHAR',
                'constraint' => 35,
                'null' => true,
                'after' => 'work_days',
            ],
        ];
        $this->forge->addColumn('emp_pay_info', $fields);
    }

    public function down()
    {
        $fields = [
            'basic_sal_computation',
        ];

        $this->forge->dropColumn('emp_pay_info', $fields);
    }
}
